Subject: Re: bug#11150: getlogin test failure

From: [email-masked]
Date: Thu, 19 Apr 2012 13:09:07 +0200 (CEST)

----- Mail original -----
> De: "Matt Burgess" <[email-masked]>
> À: [email-masked]
> Cc: [email-masked], [email-masked]
> Envoyé: Lundi 2 Avril 2012 00:34:51
> Objet: bug#11150: getlogin test failure
> 
> Hi,
> 
> The coreutils-8.16 release brought in the getlogin gnulib module.
> 
> When running through the testsuite, test-getlogin.c fails for me on a
> GNU/Linux system.  There are a couple of different failure scenarios:
> 

I am surprised nobody answered to this test failure that I fixed on my build system using the same sed as LFS book.

Is this not reproductible out of LFS way to build?

I checked gnulib tree to see nothing changed into test-getlogin.c since 2012-01-01.

Gilles